Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# StringSeqC.h File Reference

`#include "ace/pre.h"`
`#include "corbafwd.h"`
`#include "Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for StringSeqC.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_StringSeq
class | CORBA_StringSeq_out
class | CORBA_StringSeq_var
class | CORBA_WStringSeq
class | CORBA_WStringSeq_out
class | CORBA_WStringSeq_var
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_STRINGSEQ_CH_
#define | _CORBA_STRINGSEQ___VAR_CH_
#define | _CORBA_STRINGSEQ___OUT_CH_
#define | _CORBA_WSTRINGSEQ_CH_
#define | _CORBA_WSTRINGSEQ___VAR_CH_
#define | _CORBA_WSTRINGSEQ___OUT_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, const CORBA_StringSeq &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA_StringSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA_StringSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA_StringSeq *&)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA_WStringSeq &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA_WStringSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA_WStringSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA_WStringSeq *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA_StringSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA_StringSeq &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA_WStringSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA_WStringSeq &)

## Define Documentation

#define _CORBA_STRINGSEQ___OUT_CH_

#define _CORBA_STRINGSEQ___VAR_CH_

#define _CORBA_STRINGSEQ_CH_

#define _CORBA_WSTRINGSEQ___OUT_CH_

#define _CORBA_WSTRINGSEQ___VAR_CH_

#define _CORBA_WSTRINGSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA_WStringSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA_StringSeq & | _tao_sequence
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA_WStringSeq * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA_WStringSeq & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA_StringSeq * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA_StringSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA_WStringSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA_StringSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA_WStringSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA_WStringSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA_StringSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA_StringSeq *& | _tao_elem
| ) |